<?php

namespace CouponsPlus\App\Coupon\Tree\Abilities;

use CouponsPlus\App\Coupon\Abilities\CouponModel;
use CouponsPlus\App\Coupon\Coupon;

interface CouponModelFactory
{
    public function getModelType() : string;
    public function create(Coupon $classicCoupon): CouponModel;
}